Bug 110509 - [UPDATE]update Nant to 0.85:a free .NET build tool
Summary: [UPDATE]update Nant to 0.85:a free .NET build tool
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Gabor Kovesdan
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-03-19 09:40 UTC by Nemo Liu
Modified: 2007-03-29 01:10 UTC (History)
0 users

See Also:


Attachments
file.txt (12.34 KB, text/plain)
2007-03-19 09:40 UTC, Nemo Liu
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Nemo Liu 2007-03-19 09:40:05 UTC
0.85 is the lastest release of Nant.
NAnt is a free .NET build tool. In theory it is kind of like make without make's wrinkles. In practice it's a lot like Ant.

Fix: Patch attached with submission follows:
Comment 1 Gabor Kovesdan freebsd_committer 2007-03-28 10:16:51 UTC
Responsible Changed
From-To: freebsd-ports-bugs->gabor

Take.
Comment 2 dfilter service freebsd_committer 2007-03-28 23:30:35 UTC
gabor       2007-03-28 22:30:30 UTC

  FreeBSD ports repository

  Modified files:
    devel/nant           Makefile pkg-plist 
  Log:
  - Update to 0.85
  - Pass maintainership to submitter
  
  PR:             ports/110509
  Submitted by:   Nemo Liu <nemoliu@gmail.com>
  
  Revision  Changes    Path
  1.9       +3 -3      ports/devel/nant/Makefile
  1.5       +73 -71    ports/devel/nant/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 Gabor Kovesdan freebsd_committer 2007-03-28 23:30:56 UTC
State Changed
From-To: open->closed

Committed with a slight chnage, thanks! We can still use bsd.port.mk 
in this case, no need for pre and post mk when using custom targets. 
And you don't need to change $FreeBSD$ IDs, CVS will expand it when 
we commit changes. As for $Id$, I kept it, as I think, this port came 
from the BSD# repo, and this ID belongs to that original version. 
Thanks for your work on this!
Comment 4 Gabor Kovesdan freebsd_committer 2007-03-29 01:05:45 UTC
You were right about the pre and post mk, it is necessary for PORTSDIR 
in the other inclusion, so I had to change it back. :) My fault, sorry.

Regards,
Gabor